# !bin/bash

cd ./experiments
teacher='resnet50'
student='SHOTresnet18'

dset=$1
path=$2
gpu=0

if [ $# == 3 ]; then
    gpu=$3
fi


if [ $1 == 'office' ]; then
    ls=( 'amazon' 'dslr' 'webcam' )
    round=30
fi
if [ $1 == 'office-home' ]; then
    ls=( 'Art' 'Clipart' 'Product' 'RealWorld' )
    round=20
fi
if [ $1 == 'office-caltech' ]; then
    ls=( 'amazon' 'caltech' 'dslr' 'webcam' )
    round=30
fi
if [ $1 == 'imageCLEF' ]; then
    ls=( 'C' 'I' 'P' )
    round=30
fi

for src in ${ls[*]}
do
    for tar in ${ls[*]}
    do
    if [ "${src}" != "${tar}" ];then
        echo "============================"
        echo "Running... In ${dset}: ${src}->${tar}"
        echo ""
        mpirun -np 2 python ./collaborate_DA_completed.py --epochs_client 2 --batch_size 8 --client_number 1 --cls_par 0.3 --rho 0.3 --comm_round ${round} --root_path ${path} --dset ${dset} --gpu ${gpu}
    fi
done
done
cd ..